Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,30 @@
Fix build error "conflicting types for 'UTP_Write'"
Fetch from: http://www.adminsehow.com/2012/10/how-to-install-transmission-2-71-on-debian-6-0-squeeze/
The corresponding upstream bug report (unfixed) can be found here:
https://trac.transmissionbt.com/ticket/5232
Signed-off-by: Bernd Kuhls <berndkuhls@hotmail.com>
--- transmission-2.82.org/third-party/libutp/utypes.h 2013-08-09 04:47:43.000000000 +0200
+++ transmission-2.82/third-party/libutp/utypes.h 2014-01-02 20:17:18.000000000 +0100
@@ -35,8 +35,15 @@
typedef const char * cstr;
typedef char * str;
-#ifndef __cplusplus
-typedef uint8 bool;
-#endif
+//#ifndef __cplusplus
+//typedef uint8 bool;
+//#endif
+#ifndef __cplusplus
+#ifdef HAVE_STDBOOL_H
+#include <stdbool.h>
+#else
+typedef uint8 bool;
+#endif
+#endif
#endif //__UTYPES_H__

View File

@@ -0,0 +1,36 @@
Fix musl build
Downloaded from
https://cgit.gentoo.org/proj/musl.git/tree/net-p2p/transmission/files/transmission-2.84-musl-missing-header.patch
Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
libtransmission/transmission.h: add missing <sys/types.h>
transmission.h and several files including it, like bitfield.c and fdlimits.h
make reference to ssize_t, off_t and other types defined in <sys/types.h> but
never include the header. By including <sys/types.h> in transmission.h, the
required type definitions are propagated to all files that need them.
Not including <sys/types.h> on glibc and uClibc systems does not pose a problem
because of the way the headers stack in those C Standard Libraries, but on musl
excluding <sys/types.h> leads to compile time failure.
For the POSIX specs, see
http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/sys_types.h.html
Signed-of-by: Anthony G. Basile <blueness@gentoo.org>
diff -Naur transmission-2.84.orig/libtransmission/transmission.h transmission-2.84/libtransmission/transmission.h
--- transmission-2.84.orig/libtransmission/transmission.h 2014-07-01 13:09:01.682910744 -0400
+++ transmission-2.84/libtransmission/transmission.h 2015-07-19 03:11:07.379219181 -0400
@@ -28,6 +28,7 @@
#include <inttypes.h> /* uintN_t */
#include <time.h> /* time_t */
+#include <sys/types.h>
#ifdef WIN32
#define __USE_MINGW_ANSI_STDIO 1

View File

@@ -0,0 +1,52 @@
config BR2_PACKAGE_TRANSMISSION
bool "transmission"
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_ZLIB
select BR2_PACKAGE_OPENSSL
select BR2_PACKAGE_LIBCURL
select BR2_PACKAGE_LIBEVENT
help
Transmission is a cross-platform BitTorrent client.
http://www.transmissionbt.com/
if BR2_PACKAGE_TRANSMISSION
config BR2_PACKAGE_TRANSMISSION_UTP
bool "Transmission uTP support"
depends on BR2_INSTALL_LIBSTDCPP
help
Install support for uTorrent Transport Protocol
comment "uTP needs a toolchain w/ C++"
depends on !BR2_INSTALL_LIBSTDCPP
config BR2_PACKAGE_TRANSMISSION_CLI
bool "transmission-cli"
help
Install transmission command line interface.
config BR2_PACKAGE_TRANSMISSION_DAEMON
bool "transmission-daemon"
help
Install transmission daemon.
config BR2_PACKAGE_TRANSMISSION_REMOTE
bool "transmission-remote"
help
Install transmission remote management tool.
config BR2_PACKAGE_TRANSMISSION_GTK
bool "transmission-gtk"
depends on BR2_PACKAGE_LIBGTK2 && BR2_ENABLE_LOCALE
help
Install transmission GTK-based GUI interface.
comment "transmission-gtk needs a toolchain w/ locale"
depends on BR2_PACKAGE_LIBGTK2 && !BR2_ENABLE_LOCALE
endif
comment "transmission needs a toolchain w/ threads"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS

View File

@@ -0,0 +1,159 @@
#!/bin/sh
# Original Author: Lennart A. Jtte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)
# Changes for buildroot:
# USERNAME points to 'default' in standard installation
# TODO: set logfile with --logfile option
# Do NOT "set -e"
#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=transmission
# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=""
# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
#
# Function that starts the daemon/service
#
start()
{
# Export the configuration/web directory, if set
if [ -n "$TRANSMISSION_HOME" ]; then
export TRANSMISSION_HOME
fi
if [ -n "$TRANSMISSION_WEB_HOME" ]; then
export TRANSMISSION_WEB_HOME
fi
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
|| return 1
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
echo "Starting $DESC" "$NAME..."
start
case "$?" in
0|1) echo " Starting $DESC $NAME succeeded" ;;
*) echo " Starting $DESC $NAME failed" ;;
esac
;;
stop)
echo "Stopping $DESC $NAME..."
stop
case "$?" in
0|1) echo " Stopping $DESC $NAME succeeded" ;;
*) echo " Stopping $DESC $NAME failed" ;;
esac
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
echo "Restarting $DESC $NAME..."
stop
case "$?" in
0|1)
start
case "$?" in
0|1) echo " Restarting $DESC $NAME succeeded" ;;
*) echo " Restarting $DESC $NAME failed: couldn't start $NAME" ;;
esac
;;
*)
echo " Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac

View File

@@ -0,0 +1,2 @@
# Locally calculated
sha256 a9fc1936b4ee414acc732ada04e84339d6755cd0d097bcbd11ba2cfc540db9eb transmission-2.84.tar.xz

View File

@@ -0,0 +1,80 @@
################################################################################
#
# transmission
#
################################################################################
TRANSMISSION_VERSION = 2.84
TRANSMISSION_SITE = http://download.transmissionbt.com/files
TRANSMISSION_SOURCE = transmission-$(TRANSMISSION_VERSION).tar.xz
TRANSMISSION_DEPENDENCIES = \
host-pkgconf \
host-intltool \
libcurl \
libevent \
openssl \
zlib
TRANSMISSION_AUTORECONF = YES
TRANSMISSION_CONF_OPTS = \
--disable-libnotify \
--enable-lightweight
TRANSMISSION_LICENSE = GPLv2 or GPLv3 with OpenSSL exception
TRANSMISSION_LICENSE_FILES = COPYING
ifeq ($(BR2_PACKAGE_TRANSMISSION_UTP),y)
TRANSMISSION_CONF_OPTS += --enable-utp
else
TRANSMISSION_CONF_OPTS += --disable-utp
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_CLI),y)
TRANSMISSION_CONF_OPTS += --enable-cli
else
TRANSMISSION_CONF_OPTS += --disable-cli
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_DAEMON),y)
TRANSMISSION_CONF_OPTS += --enable-daemon
ifeq ($(BR2_PACKAGE_SYSTEMD),y)
TRANSMISSION_DEPENDENCIES += systemd
TRANSMISSION_CONF_OPTS += --with-systemd-daemon
else
TRANSMISSION_CONF_OPTS += --without-systemd-daemon
endif
define TRANSMISSION_USERS
transmission -1 transmission -1 * /var/lib/transmission - transmission Transmission Daemon
endef
define TRANSMISSION_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/transmission/S92transmission \
$(TARGET_DIR)/etc/init.d/S92transmission
endef
define TRANSMISSION_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 0755 $(@D)/daemon/transmission-daemon.service \
$(TARGET_DIR)/usr/lib/systemd/system/transmission-daemon.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -fs ../../../../usr/lib/systemd/system/transmission-daemon.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/transmission-daemon.service
endef
else
TRANSMISSION_CONF_OPTS += --disable-daemon
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_REMOTE),y)
TRANSMISSION_CONF_OPTS += --enable-remote
else
TRANSMISSION_CONF_OPTS += --disable-remote
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_GTK),y)
TRANSMISSION_CONF_OPTS += --enable-gtk
TRANSMISSION_DEPENDENCIES += libgtk2
else
TRANSMISSION_CONF_OPTS += --disable-gtk
endif
$(eval $(autotools-package))